Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.plugin
Interface IRed5PluginHandler

    public interface IRed5PluginHandler

Base interface for handlers originating from plug-ins.

Author:
  Paul Gregoire

Method Summary
`void` | `init()` Initialize the plug-in handler.
`void` | `setApplication(MultiThreadedApplicationAdapter application)` Set the application making use of this plug-in handler.
`void` | `setProperties(Map<String,Object> props)` Set properties to be used by this handler.

Method Detail

### init

    void init()

  Initialize the plug-in handler.

### setApplication

    void setApplication(MultiThreadedApplicationAdapter application)

  Set the application making use of this plug-in handler.

  Parameters:
    `application` -

### setProperties

    void setProperties(Map<String,Object> props)

  Set properties to be used by this handler.

  Parameters:
    `props` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project